package com.ssj.service.course.req;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.course.dto.ClassInfoVO;
import com.ssj.service.course.dto.CourseContentVO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 上午10:37:57 
 * 类说明 
 */
public class TeacherFeedbackReqV2 extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 馆ID
     */
	@ApiModelProperty(name = "libId", value = "馆ID", required = true)
	private String  libId;
	
	/**
     * 系列课程ID
     */
	@ApiModelProperty(name = "courseSeriesId", value = "系列课程ID", required = true)
	private String  courseSeriesId;
	
	
	/**
     * 明细课程ID
     */
	@ApiModelProperty(name = "courseDetailId", value = "明细课程ID", required = true)
	private String  courseDetailId;
	
	
	/**
	 * 老师有话说
	 */
	@ApiModelProperty(name = "saying", value = "老师有话说", required = true)
	private String saying;
	
	/**
	 * 上课内容
	 */
	@ApiModelProperty(name = "courseContentList", value = "上课内容", required = true)
	private List<CourseContentVO> courseContentList ; //课堂内容Stringlist
	
	/**
	 * 上课风采
	 */
	@ApiModelProperty(name = "imgList", value = "上课风采图片url", required = true)
	private List<String> imgList;
	
	/**
	 * 课堂表现
	 */
	@ApiModelProperty(name = "infoList", value = "课堂表现", required = true)
	private List<ClassInfoVO> infoList ;
	
	/**
	 * 课后小任务
	 */
	@ApiModelProperty(name = "classTask", value = "课后小任务", required = true)
	private String classTask;
	
	public String getCourseSeriesId() {
		return courseSeriesId;
	}

	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}

	public String getCourseDetailId() {
		return courseDetailId;
	}

	public void setCourseDetailId(String courseDetailId) {
		this.courseDetailId = courseDetailId;
	}

	public String getSaying() {
		return saying;
	}

	public void setSaying(String saying) {
		this.saying = saying;
	}
	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	
	
	public List<CourseContentVO> getCourseContentList() {
		return courseContentList;
	}

	public void setCourseContentList(List<CourseContentVO> courseContentList) {
		this.courseContentList = courseContentList;
	}

	public List<String> getImgList() {
		return imgList;
	}

	public void setImgList(List<String> imgList) {
		this.imgList = imgList;
	}

	public List<ClassInfoVO> getInfoList() {
		return infoList;
	}

	public void setInfoList(List<ClassInfoVO> infoList) {
		this.infoList = infoList;
	}

	public String getClassTask() {
		return classTask;
	}

	public void setClassTask(String classTask) {
		this.classTask = classTask;
	}
	
	
}
